% 读取图片
image = imread('test.jpg');

% 灰度化处理
image_gray = rgb2gray(image);

% 二值化处理
image_imbinarize = imbinarize(image_gray);

% 降采样处理
n = 2;
m = 4;
image_sample2 = image(1:n:end, 1:n:end,:);
image_sample4 = image(1:m:end, 1:m:end,:);

% 图像叠加
image_2 = imread('photo.jpg');
image_add = imadd(image, image_2);

% 亮度增加
image_light = imadjust(image, [0 0 0; 0.5 0.5 0.5],[]);

% 反转颜色
image_reversal = imadjust(image , [0 0 0; 1 1 1], [1 1 1; 0 0 0]);

% 展示照片
figure;
subplot(1,3,1);
imshow(image);
title('Original Image'); % 原图
subplot(1,3,2);
imshow(image_gray);
title('Grayed Image'); % 灰度化图像
subplot(1,3,3);
imshow(image_imbinarize);
title('Binary Image'); % 二值化图像

figure;
subplot(1,3,1);
imshow(image);
title('Original Image'); % 原图
subplot(1,3,2);
imshow(image_sample2);
title('2x Down Sampling'); % 2倍降采样
subplot(1,3,3);
imshow(image_sample4);
title('4x Down Sampling'); % 4倍降采样

figure;
subplot(2,2,1);
imshow(image);
title('Original Image'); % 原图
subplot(2,2,2);
imshow(image_add);
title('Overlay Image'); %图像叠加
subplot(2,2,3);
imshow(image_light);
title('Brightness Increase'); %亮度增加
subplot(2,2,4);
imshow(image_reversal);
title('Color Inversion'); %颜色反转